package com.ynfy.buss.exam.exam.dto;


import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 交卷
 */
@Data
public class ExamSubmitDTO {

    //用户考试id
    private String userExamId;

    //用户考试试卷id
    private String paperId;
    //用户考试切屏次数
    private String leaveTime;

    //考试截止时间（自动交卷时间）
    private Date limitTime;

    /**
     * 试题答案
     */
    private List<ExamAnswerDTO> examAnswers;

    public ExamSubmitDTO(String userExamId, Date limitTime, List<ExamAnswerDTO> examAnswers) {
        this.userExamId = userExamId;
        this.limitTime = limitTime;
        this.examAnswers = examAnswers;
    }
    public ExamSubmitDTO(String userExamId,String paperId, Date limitTime, List<ExamAnswerDTO> examAnswers) {
        this.userExamId = userExamId;
        this.paperId = paperId;
        this.limitTime = limitTime;
        this.examAnswers = examAnswers;
    }
    public ExamSubmitDTO() {
    }
}
