package com.ynfy.buss.exam.exam.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ynfy.buss.exam.exam.dto.ExamSubmitDTO;
import com.ynfy.buss.exam.exam.dto.UserExamDTO;
import com.ynfy.buss.exam.exam.entity.ExamPapers;
import com.ynfy.buss.exam.paper.entity.Paper;
import com.ynfy.buss.exam.question.entity.Question;
import com.ynfy.buss.exam.questionanswer.entity.QuestionAnswer;
import com.ynfy.buss.exam.userexam.entity.UserExam;
import com.ynfy.buss.exam.userexamquestion.entity.UserExamQuestion;
import org.jeecg.common.system.vo.LoginUser;

import java.util.List;
import java.util.Map;

/**
 * @Description: exam
 * @Author: jeecg-boot
 * @Date: 2023-02-23
 * @Version: V1.0
 */
public interface IExamPapersService extends IService<ExamPapers> {
    //根据考试id获取考试绑定的所有试卷
    List<ExamPapers> ExamIdAllExamPapers(String examId);
    //根据试卷id获取考试绑定的所有试卷
    List<ExamPapers> PaperIdAllExamPapers(String examId,String PaperId);
    /**
     * 查看考试所有试卷
     *
     * @param examId
     */
    List<ExamPapers> getExamIdPaper(String examId);
}
