package com.ynfy.buss.exam.userexamquestion.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ynfy.buss.exam.userexamquestion.entity.UserExamQuestion;

import java.util.List;

/**
 * @Description: 用户考试试题
 * @Author: jeecg-boot
 * @Date: 2023-03-05
 * @Version: V1.0
 */
public interface IUserExamQuestionService extends IService<UserExamQuestion> {

    List<UserExamQuestion> listByUserExamId(String userExamId);


    List<UserExamQuestion> listByUserExamIds(List<String> userExamIds);

    /**
     * 检查题目是否已经在考试使用
     *
     * @param questionIds
     * @return
     */
    boolean checkIsUsedInExam(String[] questionIds);
}
