package com.ynfy.buss.exam.exam.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ynfy.buss.exam.exam.entity.Exam;
import org.apache.ibatis.annotations.Param;
import org.jeecg.common.system.vo.LoginUser;

import java.util.List;

/**
 * @Description: exam
 * @Author: jeecg-boot
 * @Date: 2023-02-23
 * @Version: V1.0
 */
public interface ExamMapper extends BaseMapper<Exam> {

    Exam detail(String id);

    IPage<Exam> selectExamList(IPage<Exam> page, @Param("exam") Exam exam, @Param("user") LoginUser user);
    IPage<Exam> selectExamList2(IPage<Exam> page, @Param("exam") Exam exam, @Param("user") LoginUser user);


    /**
     * 获取正在进行中的考试
     *
     * @return
     */
    List<String> listExamIng();

    List<Exam> listLatestExam(@Param("limit") Integer limit, @Param("userId") String userId);
}
