package com.ynfy.buss.exam.exam.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ynfy.buss.exam.exam.entity.ExamPapers;
import com.ynfy.buss.exam.paper.entity.Paper;
import org.apache.ibatis.annotations.Param;
import org.jeecg.common.system.vo.LoginUser;

import java.util.List;

/**
 * @Description: exam
 * @Author: jeecg-boot
 * @Date: 2023-02-23
 * @Version: V1.0
 */
public interface ExamPapersMapper extends BaseMapper<ExamPapers> {
    /**
     * 查看指定考试的所有试卷
     *
     * @param examId
     */
    List<ExamPapers> getExamIdExamPaper(@Param("examId")String examId);
}
