package com.ynfy.buss.exam.paperrulegroup.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ynfy.buss.exam.exam.dto.QuestionTypeCountDTO;
import com.ynfy.buss.exam.paperrulegroup.entity.PaperRuleGroup;

import java.util.List;

/**
 * @Description: paper_rule_group
 * @Author: jeecg-boot
 * @Date: 2023-02-22
 * @Version: V1.0
 */
public interface PaperRuleGroupMapper extends BaseMapper<PaperRuleGroup> {


    /**
     * 根据试卷id获取抽题规则组以及规则明细
     *
     * @param paperId
     * @return
     */
    List<PaperRuleGroup> listGroupAndDetail(String paperId);

    /**
     * 根据试卷id获取每种题型数量
     *
     * @param paperId
     * @return
     */
    List<QuestionTypeCountDTO> sumQuestionCount(String paperId);
}
