package com.ynfy.buss.practice.userpractice.entity.dto;


import com.ynfy.buss.exam.exam.dto.ExamAnswerDTO;
import lombok.Data;

import java.util.List;

/**
 * 提交练习
 */
@Data
public class UserPracticeDTO {

    private String userId;

    /**
     * 题库id
     */
    private String repositoryId;

    /**
     * 练习模式：1.顺序练习，2.随机练习，3.题型练习
     */
    private Integer mode;

    /**
     * 题型
     */
    private Integer questionType;

    private List<PracticeQuestionDTO> questionList;

    /**
     * 答案
     */
    private List<ExamAnswerDTO> answers;
}
